all:
  vars:
    # Ansible Settings
    ansible_user: "sa_111827921849874199670"
    ansible_ssh_private_key_file: "{{ lookup('env', 'PWD') }}/../keys/import-metrics"

    # Cloud Settings
    cloud_provider: "gcp"
    gcp_project: "dev-import-metrics-1fd5a570"

    # General Settings
    prefix: "import-metrics-2k"
    external_url: "http://{{ lookup('env', 'TF_VAR_external_ip_2k') }}"
    gitlab_license_text: "{{ lookup('env', 'GITLAB_LICENSE') }}"

    # Passwords / Secrets
    gitlab_root_password: "{{ lookup('env', 'GITLAB_ROOT_PASSWORD') }}"
    postgres_password: "{{ lookup('env', 'POSTGRES_PASSWORD') }}"
    consul_database_password: "{{ lookup('env', 'CONSUL_DATABASE_PASSWORD') }}"
    gitaly_token: "{{ lookup('env', 'GITALY_TOKEN') }}"
    pgbouncer_password: "{{ lookup('env', 'POSTGRES_PASSWORD') }}"
    redis_password: "{{ lookup('env', 'REDIS_PASSWORD') }}"
    grafana_password: "{{ lookup('env', 'GRAFANA_PASSWORD') }}"

    # Monitoring
    monitor_custom_prometheus_scrape_config: |
      {
        'job_name': 'influxdb',
        'static_configs' => [
          'targets' => ["{{ monitor_int_ip }}:9122"],
        ],
      },
    monitor_custom_dashboards_path: "{{ lookup('env', 'PWD') }}/environments/monitor"
    prometheus_data_retention_period: "90d"
    monitor_custom_dashboards:
      - display_name: "Environment Metrics"
        folder: "linux_package"
